### 目的
> 开发者在构建系统时会用到很多库，有很多选择与组合，为了统一、便于协同工作，减少沟通成本，特此创建本框架
1. 轻松的创建api接口
2. 轻松的创建定时任务
3. 针对实际情况进行底层封装，在一定层度上保证编码的最佳实践
4. 保证在一般情况下，通过此框架构建的系统能稳定运行，较少出错

### 目标用户
1. 有Flask基础知识
2. 会使用SQL查询数据
3. 会用Python编写业务逻辑

### 不需要
1. 不需要Flask的高级知识
2. 大部分情况下不需要构建路由
3. 不需要SQLAlchemy的高级知识
4. 不需要定时任务框架（例如APScheduler、XXL-Job）的高级知识

### 兼容
框架无法解决一切问题
1. 兼容需要使用Flask高级功能的情况
2. 兼容需要使用SQLAlchemy高级功能的情况
3. 兼容需要使用定时任务框架高级功能的情况