# @Time   : 2022-03-03 17:00:00
# @Author : Gavin Jiang
# @Owner  : YSRD (Insights Value)

class MimeType:

    @staticmethod
    def images():
        return (
            MimeType.IMAGE_BMP,
            MimeType.IMAGE_JPG,
            MimeType.IMAGE_GIF,
            MimeType.IMAGE_TIFF,
            MimeType.IMAGE_PNG
        )

    IMAGE_BMP = 'image/bmp'
    IMAGE_JPG = 'image/jpeg'
    IMAGE_GIF = 'image/gif'
    IMAGE_TIFF = 'image/tiff'
    IMAGE_PNG = 'image/png'

    AUDIO_MP4 = 'audio/mp4'
    AUDIO_MPEG = 'audio/mpeg'
    AUDIO_OGG = 'audio/ogg'

    TEXT_CSV = 'text/csv'

    VIDEO_MP4 = 'video/mp4'
    VIDEO_OGG = 'video/ogg'
    VIDEO_QUICKTIME = 'video/quicktime'

    APPLICATION_PDF = 'application/pdf'
    APPLICATION_GZIP = 'application/gzip'
    APPLICATION_MSWORD = 'application/msword'
    APPLICATION_ZIP = 'application/zip'
