# @Time   : 2022-03-03 17:00:00
# @Author : Gavin Jiang
# @Owner  : YSRD (Insights Value)

import abc
from abc import ABCMeta

from flask import Response


class AbstractAfterRequest(metaclass=ABCMeta):

    @abc.abstractmethod
    def handle(self, resp: Response) -> Response:
        return resp

    @staticmethod
    def priority():
        """
        执行优先级，从大到小执行
        @return:
        """
        return 0
