# @Time   : 2022-03-03 17:00:00
# @Author : Sun Wen Quan
# @Owner  : YSRD (Insights Value)

# content of conftest.py

import pytest

from framework.util.sql_db import SqlDb
from runserver import create_app

@pytest.fixture
def client():
    app = create_app('test')
    with app.test_client() as client:
        with app.app_context():
            db = SqlDb()

        yield client
