# @Time   : 2022-03-03 17:00:00
# @Author : Gavin Jiang
# @Owner  : YSRD (Insights Value)

from framework.interceptor.clear_interceptor import ClearInterceptor
from framework.interceptor.interceptor_loader import InterceptorLoader
from framework.interceptor.param_interceptor import ParamInterceptor


class TestInterceptorLoader:

    def test_load_interceptors(self):
        before_list, after_list = InterceptorLoader.load_interceptors()
        before_class_list = (obj.__class__ for obj in before_list)
        after_class_list = (obj.__class__ for obj in after_list)
        assert ParamInterceptor in before_class_list
        assert ClearInterceptor in after_class_list
