# -*- coding:utf-8 -*-
# @Author: Gaiting
# @Time: 2022/9/12 17:40
# @Function:

from flask import request
import requests
from functools import wraps
from numpy import random


def fake_api(is_list=False):
    def decorator(func):
        @wraps(func)
        def wrapper(*args, **kwargs):
            suffix=args[1] if len(args)>=2 else ""

            fakeBaseUrl = "http://rap2api.taobao.org/app/mock/306541"
            url = fakeBaseUrl + request.path + str(suffix)
            rep = requests.request(method=request.method, url=url)

            if is_list:
                return rep.json().get('data')
            else:
                # 自定义修改动态返回值
                if 'diy' in kwargs.keys() and kwargs['diy'] == True:
                    res = diy_response(kwargs, rep)
                    return res
                return rep.json()
                return rep.json()
        return wrapper
    return decorator


def diy_response(kwargs, rep):
    if 'diy' in kwargs.keys() and kwargs['diy'] == True and kwargs['type'] == 'chart':
        chart_data = {}
        name = f'{kwargs["name"]}_chart_data'
        value = list(map(lambda x: round(x * 100, 2), list(random.rand(24))))
        chart_data[name] = {
            'time': kwargs['time_list'],
            'data': value
        }
        res = rep.json()
        res.update(chart_data)
        return res
    elif 'diy' in kwargs.keys() and kwargs['diy'] == True and kwargs['type'] == 'location':
        value = list(map(lambda x: round(x * 100, 2), list(random.rand(24))))
        res = kwargs['data']
        for i in res:
            i['value'] = value[res.index(i)]
        return res
